# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 

%define _altdata_dir %_datadir/alterator

Name: alterator-tzone
Version: 0.6
Release: alt8

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Provides: alterator-timezone = %version
Obsoletes: alterator-timezone

Packager: Alexey Gladkov <legion@altlinux.ru>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for timezone setup
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 3.0-alt5 glibc-timezones gettext

BuildPreReq: alterator >= 2.9-alt0.10 alterator-fbi >= 0.7-alt1
# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for timezone setup

%prep
%setup -q

%build
%make_build

%install
%makeinstall HTMLROOT=%buildroot%_var/www/

%find_lang %name
%find_lang --append --output %name.lang %name-tz

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_var/www/html/*
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*/
%_alterator_backend3dir/*
%_datadir/%name
%_datadir/install2/preinstall.d/*


%changelog
* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt8
- Add Ukrainian translation to desktop file

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt7
- Add installer hooks

* Mon Aug 20 2007 Alexey Gladkov <legion@altlinux.ru> 0.6-alt6
- Add gettext to requires.

* Wed Aug 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt5
- move utc setup from datetime to this module

* Tue Jul 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt4
- a separate step in installer now

* Fri Jul 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt3
- fix country name

* Fri Jul 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- fix timezone translation

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- add desktop file
- obsolete alterator-timezone
- use std function woo-list/name+label

* Fri Jun 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.5
- minor makefile improvements
- help improvements from kirill@

* Wed Jun 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.4
- add ui
- add help

* Tue Jun 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.3
- sync clock on timezone update (need for non-gmt bios time)

* Tue Jun 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.2
- fix translation in the interface
- add i18n for the timezones

* Mon Jun 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2.1
- zone listing optimization (reduce number of grep operations)
- add i18n for the countries
 
* Wed May 30 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt2
- Add alternative path for zone.tab and iso3166.tab .

* Tue May 29 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt1
- Rename files *tzone* -> *timezone*.
- Add conflict to alterator-timezone.

* Fri May 25 2007 Alexey Gladkov <legion@altlinux.ru> 0.1-alt1
- Initial release
